Subject: bug#9246: Scrolling bug with word-wrap in emacs -nw

From: Thomas Riccardi <[email-masked]>
Date: Mon, 08 Aug 2011 23:42:08 +0200

Le samedi 06 août 2011 à 02:12 +0200, Antoine Levitt a écrit : 
> How to reproduce:
> 
> emacs -nw -Q
> (setq word-wrap t)
> M-x erc, join a random channel
> M-x erc-scrolltobottom-enable
> type in a long link (http://longlinkthatgoesoveroneline.com)
> type in random lines till window is full
> watch all hell break loose (point at top of window, last line not visible)
> 
> FWIW, this is an old bug, and probably has nothing to do with bidi.
> 

I have the same issue.

It also happens when you already have the window full of logs, and you
type a long url: as soon as the cursor hits the last column, it jumps at
the end of the first line of log; you can continue typing but you don't
see the text: it's one line after the last displayed line.